Name: sugar-plugin-proxy
Version: 0.5

Release: 1.1
Group: Development/Tools/Other
Summary: Internet proxy plugin for Sugar Shell
License: GPLv3+
Url: http://git.sugarlabs.org/desktop/sugar-proxy-plugin

Source: sugar-plugin-proxy-0.5.tar.gz
Source1: sweet.tar.gz





BuildRequires: python

Provides: sugar-proxy-plugin
Obsoletes: sugar-proxy-plugin

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Internet proxy plugin for Sugar Shell

%prep
%setup -n sugar-plugin-proxy-0.5

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

install -m 0755 -d %{buildroot}/.dest//opt/sweets/sugar/share && cp -r share/* %{buildroot}/.dest//opt/sweets/sugar/share/ && install -m 0755 -d %{buildroot}/.dest//opt/sweets/sugar/share/sugar/extensions/cpsection && cp -r cpsection %{buildroot}/.dest//opt/sweets/sugar/share/sugar/extensions/cpsection/proxy && install -m 0755 -d %{buildroot}/.dest//opt/sweets/sugar/share/doc/sugar-plugin-proxy && install -m 0755 -d %{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins && cp -r plugin %{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins/proxy && cp AUTHORS COPYING README %{buildroot}/.dest//opt/sweets/sugar/share/doc/sugar-plugin-proxy/ && for i in `ls po/*.po`; do d=%{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins/proxy/locale/`basename $i .po`/LC_MESSAGES && mkdir -p $d && msgfmt -o $d/sugar-plugin-proxy.mo $i; done && true
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sugar-plugin-proxy.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sugar-plugin-proxy
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sugar-plugin-proxy/pydirs)
echo /opt/sweets/sugar-plugin-proxy/pydirs >> sugar-plugin-proxy.files

%post
test -e /opt/sweets/sugar-plugin-proxy/pydirs && for i in `cat /opt/sweets/sugar-plugin-proxy/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sugar-plugin-proxy/pydirs && for i in `cat /opt/sweets/sugar-plugin-proxy/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sugar-plugin-proxy.files

%changelog
